using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.Passport.DataAccess
{
	public class UserLogInfoSelectByPk : DataAccessBase
	{
		public UserLogInfoSelectByPk()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.DES;
			base.Key = "1234";
			base.IV = "1234";
			ConnectionString = ConfigurationManager.AppSettings["Passport"];
			base.InitCommand("[dbo].[UserLogInfoSelectByPk]");
			ConfigParameter();
		}

		private SqlParameter paramLogID;
		public System.Int64 LogID
		{
			get
			{
				return (System.Int64)paramLogID.Value;
			}
			set
			{
				paramLogID.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramLogID = new SqlParameter();
			paramLogID.ParameterName = "@LogID";
			paramLogID.SqlDbType = SqlDbType.BigInt;
			paramLogID.Size = 8;
			paramLogID.Scale = 0;
			paramLogID.Direction = ParameterDirection.Input;
			paramLogID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramLogID);
		}
	}
}